待辦事項 #44502

mingw-get-setup only offer old compiler version - CLOSED user error

啟用日期: 2022-05-03 12:42 最後更新: 2022-05-04 16:43

回報者:
負責人:
(無)
類型:
狀態:
關閉
元件:
里程碑:
(無)
優先權:
5 - 中
嚴重程度:
5 - 中
處理結果:
Invalid
檔案:
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

細節

I installed using the provided mingw-get-setup. The setup succeeded, but only offered GCC 6.3.0, even though this site claims 9.2.0 is available. I also have mingw-w64 installed on this computer under msys2 64-bit, in a completely separate directory. After setup completed, I started the msys environment using MinGW\msys\1.0\msys.bat. From there, I attempted to update using packman -Syu, which produces the following:

$ pacman -Syu
:: Synchronizing package databases...
 mingw32
 mingw64
 ucrt64
 clang64
 msys
 msys is up to date mingw64 is up to date clang64 is up to date ucrt64 is up to date mingw32 is up to date:: Starting co
re system upgrade...
warning: terminate other MSYS2 programs before proceeding
resolving dependencies...
looking for conflicting packages...

Packages (3) filesystem-2022.01-4  mintty-1~3.6.0-1  pacman-6.0.1-14

Total Download Size:    6.37 MiB
Total Installed Size:  34.75 MiB
Net Upgrade Size:       0.20 MiB

:: Proceed with installation? [Y/n] n

Looks like there is a common pacman database, and this MinGW msys environment is seeing the packages installed in the other environment.

At any rate, I'd like to get the newer GCC compiler in this MinGW environment. Apparently this cannot be done via either mingw-get-setup or via pacman?

Thanks.

Ticket History (3/4 Histories)

2022-05-03 12:42 Updated by: guyr
  • New Ticket "mingw-get-setup only offer old compiler version" created
2022-05-04 04:13 Updated by: keith
評語

There are several issues here:

  1. The mingw-w64 and MSYS2 projects are not, in any way, affiliated with MinGW. Neither project is authorized to distribute MinGW products; any product which they distribute, and which is described as "mingw", (or includes "mingw" within its name), represents a trademark infringement. We do not support any such illegitimately distributed product.
  2. Pacman is the Arch Linux installer. While the MSYS2 project may have adopted a port, as its installer, there is no legitimate MinGW product which it is able to install. Once again, we do not support any such installation.
  3. As a point of clarification, mingw-get-setup.exe exists for one purpose, and one purpose only; that purpose is to install mingw-get — the MinGW installer suite — and nothing else. mingw-get-setup.exe does not offer to install any version of GCC; that is the province of mingw-get itself, after it has been installed by mingw-get-setup.exe.

The bulk of the information, which you have provided, is completely unrelated to any legitimate MinGW product. That the illegitimate products are visible from within your legitimate MinGW environment is a consequence of how you have configured your installation — likely you have included the bogus products within the PATH, which you have made visible when running the legitimate MinGW tools. Beyond this tip, I will offer no further advice in respect of unsupported products.

With that said, the only issue you have raised, which is actually of concern here, is:

I installed using the provided mingw-get-setup. The setup succeeded, but only offered GCC 6.3.0, even though this site claims 9.2.0 is available.

You don't give me enough information, to help me diagnose your issue, but your assertion is not borne out by evidence from my own Win7 installation:

$ mingw-get --version
mingw-get version 0.6.4
Copyright (C) 2009-2013, 2017, 2020, 2022, MinGW.OSDN Project

This is free software; see the product documentation, or source code,
for copying and redistribution conditions.  There is NO WARRANTY; not
even an implied WARRANTY OF MERCHANTABILITY, nor of FITNESS FOR ANY
PARTICULAR PURPOSE.

$ mingw-get list mingw32-gcc-bin

Package: mingw32-gcc                                  Subsystem: mingw32
Component: bin

Installed Version:  gcc-core-9.2.0-2-mingw32-bin.tar.xz
Repository Version: gcc-core-9.2.0-2-mingw32-bin.tar.xz

The GNU C Compiler
------------------

This package provides the MinGW implementation of  the  GNU  C  language
compiler;  this  includes  the  C  preprocessor, and the common back end
processors which are necessary to support all other  language  compilers
in the GNU Compiler Collection.

This is a required component of the MinGW Compiler Suite.
As you can see, my mingw-get installation confirms that GCC-9.2.0 is the currently distributed version. I can only guess why you may be seeing only GCC-6.3.0, since you haven't provided sufficient information to allow me to reach a definitive conclusion. Whence did you acquire your mingw-get-setup.exe, (and thus the mingw-get suite which it will have installed)? My guess is that you have the obsolete version, from SourceForge, whereas you need the current version from OSDN.net.

(Edited, 2022-05-04 04:27 Updated by: keith)
2022-05-04 16:41 Updated by: guyr
評語

Keith, thank you for your quick and thorough response. You are correct: I apparently downloaded mingw-get-setup from SourceForge, but then followed the link listed there to OSDN.net and continued my installation. Just now, I removed that installation, and started over again after downloading mingw-get-setup from OSDN.net. As you correctly describe, now the 9.2.0 compiler version is listed.

I'm just a developer using the MinGW tools, so I'm not privy to the long history of MinGW and MinGW-w64. I'm not a lawyer. However, a little Googling informed me that MinGW-w64 forked from MinGW in 2005, while the MINGW trademark was granted in 2014. I'm guessing the MinGW-w64 camp would claim prior works.

I appreciate your help and pointing me in the right direction. I'll close this ticket as user error if I'm able.

2022-05-04 16:43 Updated by: guyr
  • 狀態 Update from 開啟 to 關閉
  • 處理結果 Update from to Invalid
  • Summary Updated

Attachment File List

No attachments

編輯

Please login to add comment to this ticket » 登入